<template>
	<div class="p-3">
		<div class="base_block">
			<div class="cplt">
				<div class="cplt_ttl">
					<div class="cplt_ttl_name">{{ $store.state.locale.application }} # {{ callModel.id }}</div>

					<div class="cplt_ttl_date">{{ $store.state.locale.date }}: {{ callModel.dateTime | formatDateSecond }}</div>
				</div>


				<div class="cplt_cnt">
					<div class="row">
						<div class="col-6">
							<div class="cplt_info">
								<div class="cplt_edit_ttl">{{ $store.state.locale.applicant }}</div>

								<ul class="cplt_info_ls">
									<li>
										<div class="txt">{{ $store.state.locale.fullName }}</div>
										<div class="val">
											{{ (callModel.applicantName && callModel.applicantName !== '') ? callModel.applicantName : '---' }}
										</div>
									</li>

									<li>
										<div class="txt">{{ $store.state.locale.address }}</div>
										<div class="val">
											{{ (callModel.applicantAddress && callModel.applicantAddress !== '') ? callModel.applicantAddress : '---' }}
										</div>
									</li>

									<li>
										<div class="txt">{{ $store.state.locale.telephone }}</div>
										<div class="val">
											{{ (callModel.applicantNumber && callModel.applicantNumber !== '') ? callModel.applicantNumber : '---' }}
										</div>
									</li>

									<li>
										<div class="txt">{{ $store.state.locale.sender }}</div>
										<div class="val">
											{{ userList.find(x => x.id === callModel.executor1Id) ? userList.find(x => x.id === callModel.executor1Id).fio : '---' }}
										</div>
									</li>

									<li>
										<div class="txt">{{ $store.state.locale.category }}</div>
										<div class="val">
											{{ categoryList.find(x => x.id === parseInt(callModel.categoryId)) ? categoryList.find(x => x.id === parseInt(callModel.categoryId)).name : '---' }}
										</div>
									</li>

									<li>
										<div class="txt">{{ $store.state.locale.priority }}</div>
										<div class="val">
											{{ priorityList.find(x => x.id === callModel.priorityId) ? priorityList.find(x => x.id === callModel.priorityId).name : '---' }}
										</div>
									</li>

									<li>
										<div class="txt">Срок</div>
										<div class="val">
											{{ (callModel.deadline && callModel.deadline !== '') ? $options.filters.formatDateSecond(callModel.deadline) : '---' }}
										</div>
									</li>
								</ul>
							</div>
						</div>


						<div class="col-6">
							<div class="cplt_info">
								<div class="cplt_edit_ttl">{{ $store.state.locale.destination }}</div>

								<ul class="cplt_info_ls">
									<li>
										<div class="txt">{{ $store.state.locale.city }}</div>
										<div class="val">
											{{ cityList.find(x => x.id === callModel.cityId) ? cityList.find(x => x.id === callModel.cityId).name : '---' }}
										</div>
									</li>

									<li>
										<div class="txt">{{ $store.state.locale.district }}</div>
										<div class="val">
											{{ districtList.find(x => x.id === callModel.regionId) ? districtList.find(x => x.id === callModel.regionId).name : '---' }}
										</div>
									</li>

									<li>
										<div class="txt">{{ $store.state.locale.street }}</div>
										<div class="val">
											{{ streetList.find(x => x.id === callModel.streetId) ? streetList.find(x => x.id === callModel.streetId).name : '---' }}
										</div>
									</li>

									<li>
										<div class="txt">{{ $store.state.locale.house }}</div>
										<div class="val">
											{{ houseList.find(x => x.id === callModel.houseId) ? houseList.find(x => x.id === callModel.houseId).name : '---' }}
										</div>
									</li>

									<li>
										<div class="txt">{{ $store.state.locale.flat }}</div>
										<div class="val">
											{{ flatList.find(x => x.id === callModel.flatId) ? flatList.find(x => x.id === callModel.flatId).name : '---' }}
										</div>
									</li>
								</ul>
							</div>
						</div>
					</div>


					<hr class="call_asd_group_hr">


					<div class="cplt_note_txt">
						<div class="cplt_edit_ttl">{{ $store.state.locale.applicationDes }}</div>

						<div class="cplt_note_txt_cnt">
							<div class="cplt_note_txt_it" v-for="item in noteList" v-html="item"></div>
						</div>
					</div>


					<hr class="call_asd_group_hr">


					<div class="cplt_note">
						<div class="cplt_edit_ttl">{{ $store.state.locale.responseDes }}</div>

						<div class="row">
							<div class="col-7">
								<div>
									<ckeditor :editor="editor" :disabled="!can('complaints_duty_2', 'Edit')" v-model="callModel.notes" :config="editorConfig"></ckeditor>
								</div>
							</div>
						</div>
					</div>


					<hr class="call_asd_group_hr">


					<!--<div class="cplt_photo">-->
						<!--<div class="cplt_edit_ttl">Фото</div>-->
						<!---->
						<!--<ul class="cplt_photo_ls">-->
							<!--<li><a href=""><img src="/img/login_preview.png" alt=""></a></li>-->
							<!--<li><a href=""><img src="/img/user.jpg" alt=""></a></li>-->
							<!--<li><a href=""><img src="/img/login_preview.png" alt=""></a></li>-->
							<!--<li><a href=""><img src="/img/user.jpg" alt=""></a></li>-->
						<!--</ul>-->
					<!--</div>-->


					<!--<hr class="call_asd_group_hr">-->


					<div class="cplt_docs">
						<div class="cplt_edit_ttl">{{ $store.state.locale.files }}</div>

						<ul class="cplt_docs_ls">
							<li v-for="item in fileList">
								<a href="#" @click.prevent="DownloadFile(baseUrl + 'ClientCard/getFile?id=' + item.id, item.fileName)">
									<span class="txt">{{ item.fileName }}</span>
									<i class="mdi mdi-download"></i>
								</a>
							</li>
						</ul>
					</div>


					<hr class="call_asd_group_hr">


					<div class="cplt_note">
						<div class="cplt_edit_ttl">{{ $store.state.locale.attach }}</div>


						<div class="row">
							<div class="col-7">
								<file-pond
										name="test"
										:disabled="!can('complaints_duty_2', 'Edit')"
										ref="pond"
										class-name="my-pond"
										label-idle="Drop files here..."
										allow-multiple="true"
										@addfile="handleFilePond"
										@removefile="handleFilePond"
								/>
							</div>
						</div>
					</div>


					<hr class="call_asd_group_hr">


					<div class="d-flex align-items-center justify-content-end py-3">
						<div class="btn-group cplt_btn_status">
							<button type="button" class="btn call_save_btn dropdown-toggle" data-toggle="dropdown" :disabled="!can('complaints_duty_2', 'Edit')">
								{{
									statusList.find(x => parseInt(x.id) === callModel.status) ?
									statusList.find(x => parseInt(x.id) === callModel.status)['status' +
									$store.state.lang.charAt(0).toUpperCase() + $store.state.lang.slice(1)] : '---'
								}}
							</button>
							<div class="dropdown-menu">
								<a
									href="#"
									class="dropdown-item"
									v-for="item in statusList"
									v-if="item.id !== '1' && item.id !== '3' && item.id !== '4' && item.id !== '5'"
									@click.prevent="callModel.status = parseInt(item.id)"
								>
									{{ item['status' + $store.state.lang.charAt(0).toUpperCase() + $store.state.lang.slice(1)] }}
								</a>
							</div>
						</div>

						<button :disabled="!can('complaints_duty_2', 'Edit')" type="button" class="btn call_save_btn ml-3" @click="Save">{{ $store.state.locale.save }}</button>
					</div>

				</div>
			</div>
		</div>
	</div>
</template>

<style>

</style>

<script src="./script.js"></script>